erase
Prev | Chapter 5. Db_map | Next

## erase

### Function Details

    void erase(iterator pos)

Erase a key/data pair at specified position.

#### Parameters

##### pos

An valid iterator of this container to erase.

    size_type erase(const key_type &x)

Erase elements by key.

All key/data pairs with specified key x will be removed from underlying database. This function supports auto-commit.

#### Parameters

##### x

The key to remove from the container.

#### Return Value

The number of key/data pairs removed.

    void erase(iterator first,
        iterator last)

Range erase.

Erase all key/data pairs within the valid range [first, last).

#### Parameters

##### last

The open boundary of the range.

##### first

The closed boundary of the range.

### Group: Erase Functions

http://www.cplusplus.com/reference/stl/map/erase/

### Class

db_map

Prev | Up | Next
empty | Home | find